#
# <20170815.1716.23>
#
# isCommand returns a list of commands matching the input string (pat)
#           Unlike 'info commands' unloaded commands are considered as available
#           if auto load can find them.
#           The result may have duplicate entries, but for speed we don't care
#
proc isCommand {pat} {
  # make sure auto_index is current...
  auto_load_index
  return  [concat  [info command $pat] [array names ::auto_index $pat]]
}
