#
# <20180124.1727.07>

# Wish comes up with this defined so we can load this at any
# time.
#
# To load, call "loadAlt_GetSel"

# ::tk::GetSelection --
##
# Arguments:
# w -		Name of a text widget.

# this is just a handle to force the system to source this code.

proc loadAlt_GetSel {} {}

# This was perloined from tkcon...

proc ::tk::GetSelection {w args} {
  if {
      ![catch {selection get -displayof $w -type UTF8_STRING} txt] ||
      ![catch {selection get -displayof $w} txt] ||
      ![catch {selection get -displayof $w -selection CLIPBOARD} txt]
    } {
    return $txt
  }
  return -code error "could not find default selection"
}

